Groovy Documentation

## grails.doc
[Groovy] Class DocEngine

    java.lang.Object
      org.radeox.engine.BaseRenderEngine
          grails.doc.DocEngine

    class DocEngine
    extends BaseRenderEngine

A Radeox Wiki engine for generating documentation using a confluence style syntax.

Authors:
  Graeme Rocher

Since:
  1.2

Property Summary
`static java.lang.Object` | `ALIAS`
`static java.lang.Object` | `API_BASE_PATH`
`static java.lang.Object` | `BASE_DIR`
`static java.lang.Object` | `CONTEXT_PATH`
`static java.lang.Object` | `EXTERNAL_DOCS`
`static java.lang.Object` | `SOURCE_FILE`
`java.util.Properties` | `engineProperties`
`static java.lang.Object` | `nameCache` Converts a property name into its natural language equivalent eg ('firstName' becomes 'First Name')

Constructor Summary
`DocEngine(InitialRenderContext context)`

Method Summary
`void` | `appendCreateLink(java.lang.StringBuffer buffer, java.lang.String name, java.lang.String view)`
`void` | `appendLink(java.lang.StringBuffer buffer, java.lang.String name, java.lang.String view, java.lang.String anchor)`
`void` | `appendLink(java.lang.StringBuffer buffer, java.lang.String name, java.lang.String view)`
`boolean` | `exists(java.lang.String name)`
`static java.util.Properties` | `getDefaultProps()`
`java.lang.String` | `getNaturalName(java.lang.String name)`
`protected void` | `init()`
`boolean` | `showCreate()`

Property Detail

### ALIAS

    static java.lang.Object ALIAS

### API_BASE_PATH

    static final java.lang.Object API_BASE_PATH

### BASE_DIR

    static final java.lang.Object BASE_DIR

### CONTEXT_PATH

    static final java.lang.Object CONTEXT_PATH

### EXTERNAL_DOCS

    static java.lang.Object EXTERNAL_DOCS

### SOURCE_FILE

    static final java.lang.Object SOURCE_FILE

### engineProperties

    java.util.Properties engineProperties

### nameCache

    static final java.lang.Object nameCache

  Converts a property name into its natural language equivalent eg ('firstName' becomes 'First Name')
  Parameters:
    `name` - The property name to convert
  Returns:
    The converted property name

Constructor Detail

### DocEngine

    DocEngine(InitialRenderContext context)

Method Detail

### appendCreateLink

    void appendCreateLink(java.lang.StringBuffer buffer, java.lang.String name, java.lang.String view)

### appendLink

    void appendLink(java.lang.StringBuffer buffer, java.lang.String name, java.lang.String view, java.lang.String anchor)

### appendLink

    void appendLink(java.lang.StringBuffer buffer, java.lang.String name, java.lang.String view)

### exists

    boolean exists(java.lang.String name)

### getDefaultProps

    static java.util.Properties getDefaultProps()

### getNaturalName

    java.lang.String getNaturalName(java.lang.String name)

### init

    protected void init()

### showCreate

    boolean showCreate()

Groovy Documentation